<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Radius <br> <input type="text" id="radius"><br>
            Volume <br> <input type="text" id="volume"><br>
            <input type="button" id="button" value="Calculate">
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", calculate);
            }
            function calculate() {
                if (document.getElementById("radius").value == "") {
                    alert("Error - Radius Field is empty.");
                } else {
                    radius = parseFloat(document.getElementById("radius").value);
                    var result = eval("(4/3) * Math.PI * Math.pow(radius, 3)");
                    document.getElementById("volume").value = result;
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
